corda / net.corda.node.services.network / NetworkMapService / RegistrationRequest

# RegistrationRequest

`class RegistrationRequest : ServiceRequestMessage`

### Constructors

<init> | `RegistrationRequest(wireReg: WireNodeRegistration, replyTo: SingleMessageRecipient, sessionID: Long = random63BitValue())`

### Properties

replyTo | `val replyTo: SingleMessageRecipient`
sessionID | `val sessionID: Long`
wireReg | `val wireReg: WireNodeRegistration`